#include <PalmOS.h>
#include "MyInstall_Res.h"
#include "MyInstall.h"

static void ScrollMessage( const Char* s, UInt32 cookie )
{
    RectangleType display = { { 0, 0 }, { 160, 160 } };
    RectangleType vacated;

//    WinGetDisplayExtent( &display.extent.x, &display.extent.y );

    WinScrollRectangle( &display, winUp, FntLineHeight(), &vacated );
    WinEraseRectangle( &vacated, 0 );

    WinDrawChars( s, StrLen( s ),
        display.topLeft.x, display.topLeft.y + display.extent.y - FntLineHeight() );
}



UInt32 PilotMain( UInt16 command, void* cmdPBP, UInt16 flags )
{
    switch ( command ) {
        case sysAppLaunchCmdNormalLaunch: {
            Boolean copied;
            Boolean missing;
            ScrollMessage("Scanning for files to install...", 0);
            CopyFiles( ALL_VOLUMES, ScrollMessage, 0, &copied, &missing );
            if ( copied )
                break;
#ifdef DRIVE_MODE
            Message("Enabling Drive Mode...");
            if ( ! DriveMode( true ) ) {
                FrmAlert( altDriveModeError );
                if ( missing )
                    FrmAlert( altNotInstallAll );
                else
                    FrmAlert( altNothingToCopy );
                break;
            }
            if ( missing ) {
                FrmAlert( altNotInstallAllDM );
            }
            else {
                FrmAlert( altNothingToCopyDM );
            }
            Message("Disabling Drive Mode...");
            DriveMode( false );
            CopyFiles( Message, 0, &copied, &missing );
            if ( missing )
                FrmAlert( altNotInstallAll );
#else
            if ( missing )
                FrmAlert( altNotInstallAll );
            else
                FrmAlert( altNothingToCopy );
#endif
            break;
        }
        default:
            break;
    }
    return 0;
}


